<!DOCTYPE html>
<html lang="pr-BR">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Paralass Scrolling Website | Vanilla JavaScript</title>
  <link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>

  <header>
    <a href="#" class="logo">Logo</a>
    <ul>
      <li><a href="#" class="active">Home</a></li>
      <li><a href="#">About</a></li>
      <li><a href="#">Work</a></li>
      <li><a href="#">Contact</a></li>
    </ul>
  </header>
  <section>
    <img src="img/stars.png" id="stars">
    <img src="img/moon.png" id="moon">
    <img src="img/mountains_behind.png" id="mountains_behind">
    <h2 id="text">Moon Light</h2>
    <a href="#sec" id="btn">Explore</a>
    <img src="img/mountains_front.png" id="mountains_front">
  </section>
  <div class="sec" id="sec">
    <h2>Parallax scrolling effects</h2>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa vitae sint illum accusamus! Nam similique vero porro placeat praesentium rem modi possimus, eaque a sit officia corporis doloribus quos dicta. Lorem ipsum dolor sit amet consectetur adipisicing elit. Quibusdam, impedit! Quas ipsum nihil ducimus consequatur quibusdam sunt laboriosam neque, nobis quo tempore rerum, dignissimos facilis placeat, blanditiis a quidem deserunt?. Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae excepturi cum facere repudiandae pariatur neque vitae praesentium hic nobis, quis magnam non earum, illo eveniet sint sequi eum tempora molestias.<br><br></p><p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa vitae sint illum accusamus! Nam similique vero porro placeat praesentium rem modi possimus, eaque a sit officia corporis doloribus quos dicta. Lorem ipsum dolor sit amet consectetur adipisicing elit. Quibusdam, impedit! Quas ipsum nihil ducimus consequatur quibusdam sunt laboriosam neque, nobis quo tempore rerum, dignissimos facilis placeat, blanditiis a quidem deserunt?. Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae excepturi cum facere repudiandae pariatur neque vitae praesentium hic nobis, quis magnam non earum, illo eveniet sint sequi eum tempora molestias.<br><br></p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa vitae sint illum accusamus! Nam similique vero porro placeat praesentium rem modi possimus, eaque a sit officia corporis doloribus quos dicta. Lorem ipsum dolor sit amet consectetur adipisicing elit. Quibusdam, impedit! Quas ipsum nihil ducimus consequatur quibusdam sunt laboriosam neque, nobis quo tempore rerum, dignissimos facilis placeat, blanditiis a quidem deserunt?. Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae excepturi cum facere repudiandae pariatur neque vitae praesentium hic nobis, quis magnam non earum, illo eveniet sint sequi eum tempora molestias.<br><br></p>
  </div>

  <script>
    let stars = document.getElementById('stars');
    let moon = document.getElementById('moon');
    let mountains_behind = document.getElementById('mountains_behind');
    let mountains_front = document.getElementById('mountains_front');
    let btn = document.getElementById('btn');
    let text = document.getElementById('text');
    let header = document.querySelector('header');

    window.addEventListener('scroll', () => {
      let value = window.scrollY;
      stars.style.left = value + 0.25 + 'px';
      moon.style.top = value + 1.05 + 'px';
      mountains_behind.style.top = value * 0.05 + 'px';
      mountains_front.style.top = value * 0 + 'px';
      text.style.marginRight = value * 4 + 'px';
      text.style.marginTop = value * 1.5 + 'px';
      btn.style.marginTop = value * 1.5 + 'px';
      header.style.top = value * 0.5 + 'px';


    });


  </script>

</body>
</html>